%{?nodejs_find_provides_and_requires}

%global enable_tests 1
%global module_name rc

Name:           nodejs-%{module_name}
Version:        0.5.4
Release:        3%{?dist}
Summary:        Hardwired configuration loader

License:        MIT or BSD or ASL 2.0
URL:            https://github.com/dominictarr/rc
Source0:        http://registry.npmjs.org/%{module_name}/-/%{module_name}-%{version}.tgz
BuildArch:      noarch
ExclusiveArch:  %{ix86} x86_64 %{arm} noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(ini)
BuildRequires:  npm(strip-json-comments)
BuildRequires:  npm(minimist)
BuildRequires:  npm(deep-extend)
%endif

Requires:       npm(minimist)
Requires:       npm(deep-extend)
Requires:       npm(strip-json-comments)
Requires:       npm(ini)

%description
The non-configurable configuration loader for lazy people.

%prep
%setup -q -n package
rm -rf node_modules

%nodejs_fixdep deep-extend ~0.x
%nodejs_fixdep minimist ~0.x
%nodejs_fixdep strip-json-comments

%build
# nothing to build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{module_name}
cp -pr package.json *.js lib %{buildroot}%{nodejs_sitelib}/%{module_name}
%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
set -e; node test/test.js; node test/ini.js; node test/nested-env-vars.js
%endif

%files
%doc README.md LICENSE.MIT LICENSE.APACHE2 LICENSE.BSD
%{nodejs_sitelib}/%{module_name}

%changelog
* Wed Jan 13 2016 Parag Nemade <pnemade AT redhat DOT com> - 0.5.4-3
- Specify exclusively arch list as per nodejs packaging guidelines

* Mon Dec 28 2015 Parag Nemade <pnemade AT redhat DOT com> - 0.5.4-2.1
- Fix npm(strip-json-comments)

* Mon Dec 08 2014 Parag Nemade <pnemade AT redhat DOT com> - 0.5.4-2
- Add missing multilicense tag and its text

* Thu Dec 04 2014 Parag Nemade <pnemade AT redhat DOT com> - 0.5.4-1
- Initial packaging

